/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch das
 * Ministerium für Energiewende, Klimaschutz, Umwelt und Natur
 * Zentrales IT-Management
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle.errorhandling;

/**
 * Enumeration with the soft errors that may occur when the workflow node  is executed.
 * A soft error is like a warning in that the action is considered to have been
 * successful. If a soft error occurs, the workflow proceeds as normal. It is good
 * practice to define meaningful errors. They are shown in the workflow designer.
 * @author unspecified
 */
public enum OzgPluginSoftError {

	/** Indicates that representation of a formular was not attached to form data */
	MISSING_REPRESENTATION,
	/** Indicates that the attachments uploaded in the form were not included in the form data. */
	MISSING_ATTACHMENTS,
	/** Indicates that user connected the formular with a service konto and it supply an unexpected trust level value */
	UNEXPECTED_TRUST_LEVEL

}
